#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;

void main()
{
	vec4 ref = texture2D(CC_Texture0, v_texCoord);
	vec4 res;

	// Grayscale
	float gray = (ref.x * 0.3 + ref.y * 0.59 + ref.z * 0.11 );
	res.x = gray;
	res.y = gray;
	res.z = gray;
	res.w = ref.w;

	// Color balnce
	res.x = res.x * 0.3;
	//res.y = res.y;
	res.z = res.z * 1.7;

	gl_FragColor = res;
}